Unihedron's blog

By Unihedron, history, 9 days ago, In English,

Hello,

Ruby on this site is largely outdated (2.0.0!!!), it is missing a lot of features that would help out with solving problems and has became part of the standards for the code snippets one would find with regards to using ruby. Since functions like .sum are missing, trying to submit code that uses functions not provided by the outdated ruby version is incredibly hard to debug and fix — it just results in a runtime error.

2.4.2 has been out for months and works reliably, while 2.5 is already underway. The language needs to be updated.

 
 
 
 
  • Vote: I like it  
  • +25
  • Vote: I do not like it